Few changes
* Completly drop autologin
* Save some pillar.data fron recalss, if avaible
Bug-related: PROD-21462 (PROD:21462)
Change-Id: I63abd1174910671904308b64a39812d240aba86e
diff --git a/common/ubuntu_info.sh b/common/ubuntu_info.sh
index 31baa68..ca2d8dc 100644
--- a/common/ubuntu_info.sh
+++ b/common/ubuntu_info.sh
@@ -6,4 +6,11 @@
pushd /var/log/bootstrap_logs/
dpkg-query -W -f='${Package}=${Version}\n' | sort -u >> vcp_initial_pkgs.log
cat vcp_initial_pkgs.log
+ # Drop some reclass info,if avaible
+ if [[ $(which salt-key) ]] ; then
+ for node in $(salt-key -l acc | grep -v 'Accepted Keys:') ; do
+ salt ${node} pillar.data --out=json > ${node}.pillardata.json || true
+ reclass -n ${node} -o json > ${node}.reclass.json || true
+ done
+ fi
popd
diff --git a/common/ubuntu_security.sh b/common/ubuntu_security.sh
index 8d7c8c1..f2641c3 100644
--- a/common/ubuntu_security.sh
+++ b/common/ubuntu_security.sh
@@ -1,15 +1,5 @@
#!/bin/bash -xe
-ROOT_AUTOLOGIN=""
-if [ "$(hostname)" != "ubuntu" ]; then
- # Auto login root on tty1
- sed 's|/sbin/agetty|/sbin/agetty --autologin root|g' /etc/systemd/system/getty.target.wants/getty@tty1.service > /etc/systemd/system/getty-autologin@.service
- systemctl daemon-reload
- systemctl disable getty@tty1.service
- systemctl enable getty-autologin@tty1.service
- ROOT_AUTOLOGIN="--autologin root"
-fi
-
# Libvirt serial console support
cat << EOF >> /etc/systemd/system/serial-getty@.service
[Unit]
@@ -25,7 +15,7 @@
ConditionPathExists=/dev/ttyS0
[Service]
-ExecStart=-/sbin/agetty ${ROOT_AUTOLOGIN} -8 --noclear %I 115200 \$TERM
+ExecStart=-/sbin/agetty -8 --noclear %I 115200 \$TERM
Type=idle
Restart=always
RestartSec=0
diff --git a/mirror-image/run.example.sh b/mirror-image/run.example.sh
index 124d188..f1d39be 100755
--- a/mirror-image/run.example.sh
+++ b/mirror-image/run.example.sh
@@ -49,6 +49,6 @@
export PACKER_LOG=1
# For qemu test-build:
-cloud-localds --hostname ubuntu --dsmode local config-drive/cloudata.iso config-drive/user-data.yaml
+cloud-localds --hostname apt01 --dsmode local config-drive/cloudata.iso config-drive/user-data.yaml
packer build -only=qemu -parallel=false -on-error=ask template.json
# rm -rf ~/.packer.d/